MWProStructuresInternal::State Struct Reference

Internal: the state of a MWProStructures. More...

## Public Member Functions

| State ()
| constructor More...

## Static Public Member Functions

static bool | updateLineType (int lineType, MWAWBorder &border)
| try to set the line properties of a border More...

## Public Attributes

int | m_version
| the file version More...
int | m_numPages
| the number of pages More...
WPXBinaryData | m_inputData
| the input data More...
std::vector< Font > | m_fontsList
| the list of fonts More...
std::vector< Paragraph > | m_paragraphsList
| the list of paragraph More...
std::vector< Section > | m_sectionsList
| the list of section More...
std::vector< shared_ptr< Block > > | m_blocksList
| the list of block More...
std::map< int, shared_ptr < Block > > | m_blocksMap
| a map block id -> block More...
std::map< int, shared_ptr < Table > > | m_tablesMap
| a map block id -> table More...
std::vector< int > | m_footnotesList
| the foonote list (for MWII) More...
std::map< int, int > | m_headersMap
| a map page -> header id More...
std::map< int, int > | m_footersMap
| a map page -> footer id More...

## Detailed Description

Internal: the state of a MWProStructures.

## Constructor & Destructor Documentation

MWProStructuresInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

static bool MWProStructuresInternal::State::updateLineType | ( | int | lineType,
|  | MWAWBorder & | border
| ) |  |

inline static

try to set the line properties of a border

## Member Data Documentation

std::vector<shared_ptr<Block> > MWProStructuresInternal::State::m_blocksList

the list of block

std::map<int, shared_ptr<Block> > MWProStructuresInternal::State::m_blocksMap

a map block id -> block

std::vector<Font> MWProStructuresInternal::State::m_fontsList

the list of fonts

std::map<int, int> MWProStructuresInternal::State::m_footersMap

a map page -> footer id

std::vector<int> MWProStructuresInternal::State::m_footnotesList

the foonote list (for MWII)

std::map<int, int> MWProStructuresInternal::State::m_headersMap

a map page -> header id

WPXBinaryData MWProStructuresInternal::State::m_inputData

the input data

int MWProStructuresInternal::State::m_numPages

the number of pages

std::vector<Paragraph> MWProStructuresInternal::State::m_paragraphsList

the list of paragraph

std::vector<Section> MWProStructuresInternal::State::m_sectionsList

the list of section

std::map<int, shared_ptr<Table> > MWProStructuresInternal::State::m_tablesMap

a map block id -> table

int MWProStructuresInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- MWProStructures.cxx